ant-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Nicolas Lalevée (JIRA) <j...@apache.org>
Subject [jira] Resolved: (IVYDE-187) Allow workspace resolver to skip version matcher
Date Tue, 13 Oct 2009 13:17:31 GMT

     [ https://issues.apache.org/jira/browse/IVYDE-187?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Nicolas Lalevée resolved IVYDE-187.
-----------------------------------

       Resolution: Fixed
    Fix Version/s: 2.1.0
         Assignee: Nicolas Lalevée

patched applied. I added a warning about its use.
Thanks for the patch Phillip Webb.

> Allow workspace resolver to skip version matcher
> ------------------------------------------------
>
>                 Key: IVYDE-187
>                 URL: https://issues.apache.org/jira/browse/IVYDE-187
>             Project: IvyDE
>          Issue Type: Improvement
>          Components: workspace resolver
>    Affects Versions: 2.0.0.final
>            Reporter: Phillip Webb
>            Assignee: Nicolas Lalevée
>             Fix For: 2.1.0
>
>         Attachments: ivyde-workspaceignoreversion.patch
>
>
> The workspace resolver version matcher sometimes gets in the way.  I would like to suggest
an option that will allow a workspace project to be used when the organization and module
ID match, regardless of the version.  
> The DocComment on WorkspaceResolver seems to imply that this was the original intent:
>   * Since the resolver is not aware which module revision a project is publishing, it
optimistically
>   * matches any revision of the module.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message